Manually install an MCP server on one Agent
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"name": "<string>",
"url": "<string>",
"enabled": true,
"authHeaderName": "<string>",
"authHeaderPrefix": "<string>",
"publicHeaders": {}
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
enabled: true,
authHeaderName: '<string>',
authHeaderPrefix: '<string>',
publicHeaders: {}
})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"server": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"type": "mcp",
"enabled": true,
"isSystem": true,
"canDelete": true,
"canEditConnection": true,
"canToggle": true,
"inherited": true,
"authType": "none",
"credentialMode": "none",
"revision": 123,
"publicHeaders": {},
"connectionStatus": "unknown",
"tools": [
{
"name": "<string>",
"serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>",
"capability": "read",
"enabled": true,
"reviewState": "pending",
"riskLevel": "read_only",
"autoAllowed": true,
"description": "<string>"
}
],
"authHeaderName": "<string>",
"authHeaderPrefix": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provenance": {},
"endpointConfiguration": {},
"integrationProfileId": "<string>",
"integrationProfileVersion": 2,
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastDiscoveryError": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Agent capabilities and target tools
Manually install an MCP server on one Agent
Requires manage_agents and manage_mcp. Credentials are forbidden; authenticated installations select workspace or individual ownership.
Manually install an MCP server on one Agent
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"name": "<string>",
"url": "<string>",
"enabled": true,
"authHeaderName": "<string>",
"authHeaderPrefix": "<string>",
"publicHeaders": {}
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
enabled: true,
authHeaderName: '<string>',
authHeaderPrefix: '<string>',
publicHeaders: {}
})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/agents/{agentId}/mcp/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"server": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"type": "mcp",
"enabled": true,
"isSystem": true,
"canDelete": true,
"canEditConnection": true,
"canToggle": true,
"inherited": true,
"authType": "none",
"credentialMode": "none",
"revision": 123,
"publicHeaders": {},
"connectionStatus": "unknown",
"tools": [
{
"name": "<string>",
"serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alias": "<string>",
"capability": "read",
"enabled": true,
"reviewState": "pending",
"riskLevel": "read_only",
"autoAllowed": true,
"description": "<string>"
}
],
"authHeaderName": "<string>",
"authHeaderPrefix": "<string>",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provenance": {},
"endpointConfiguration": {},
"integrationProfileId": "<string>",
"integrationProfileVersion": 2,
"lastDiscoveryAt": "2023-11-07T05:31:56Z",
"lastDiscoveryError": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Body
application/json
Actual remote Streamable HTTP MCP endpoint. Registry, server.json, package, container, and stdio locations are rejected.
Pattern:
^https://Available options:
none, bearer_token, custom_header, oauth Required for authenticated installations. Defaults to individual.
Available options:
none, workspace, individual Show child attributes
Show child attributes
Response
Agent MCP installation created.
Show child attributes
Show child attributes